Subject: Not recognizing FAT32 partition

From: Edward Diener <[email-masked]>
Date: Tue, 25 Feb 2014 18:48:32 -0500

I have a FAT32 logical partition on an MBR hard drive. The partition ID 
is 0xb and the partition is successfully shared between Windows7, 
Windows Vista, and various Linux distros.

In 'parted-3.1' if I 'print' the drive (/dev/sdc), the output does not 
show the type of the partition. If I try to use GParted to copy the 
partition to a backup drive, the copy always fails. Asking about this on 
the GParted forum I have received the information that the copy fails 
because 'parted' does not recognize the partition type, even though 
'gparted' shows it as a FAT32 partition.

How can I determine why 'parted' does not recognize the partition type ?

I have tried 'parted' from the GParted live, which uses a 2.3 patched 
version of 'parted' from Debian sid and I have tried 'parted' from 
Fedora 20, which uses the latest 3.1 version of 'parted'. The result is 
the same: 'parted' does no recognize the partition type of my FAT32 
partition.